For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get access
Getting Started Key Concepts Integration Types Core Components Embed Hosted API API Reference
  • API Reference
      • GETRetrieve employer quote
      • GETList all employer quotes
      • GETRetrieve an employer policy
      • GETList all employer policies
      • GETRetrieve an employee offer
      • GETList all employee offers
      • GETList all employee policies
      • GETRetrieve an employee policy
    • Contribution Reports
    • Events and Webhooks
    • API Errors
Get access
LogoLogo
API ReferenceHealth Insurance

List all employer quotes

GET
/employers/:employer_id/health_insurance/quotes
GET
/employers/:employer_id/health_insurance/quotes
$curl https://test.api.kota.io/employers/er_3b1333d87d9d4fd6ad83ba7f6b0e951a/health_insurance/quotes \
> -H "Authorization: Bearer <apiKey>" \
> -H "Content-Type: application/json"
200Retrieved
1{
2 "items": [
3 {
4 "id": "erhq_3b1333d87d9d4fd6ad83ba7f6b0e951a",
5 "employer_id": "er_3b1333d87d9d4fd6ad83ba7f6b0e951a",
6 "quoted_at": "2024-12-01T14:45:00Z",
7 "status": "pending_quote",
8 "coverage_levels": [
9 {
10 "plan_id": "pl_3b1333d87d9d4fd6ad83ba7f6b0e951a",
11 "plan_name": "Comprehensive Health Plan Plus",
12 "plan_currency": "eur",
13 "provider_name": "Global Health Insurance Co.",
14 "provider_logo_url": "https://globalhealth.example.com/assets/logo.png",
15 "documents": [
16 {
17 "title": "Insurance Product Information Document",
18 "link": "https://globalhealth.example.com/docs/product-info.pdf"
19 }
20 ]
21 }
22 ],
23 "object": "employer_health_insurance_quote"
24 }
25 ],
26 "page": 1,
27 "page_size": 10,
28 "total_count": 25,
29 "has_next_page": true,
30 "has_previous_page": false
31}

Returns a list of health insurance quotes for an employer. The quotes are returned sorted by creation date, with the most recent quote appearing first.

Previous

Retrieve employer quote

Next

Retrieve an employer policy

Built with

Authentication

AuthorizationBearer
Authorization header using the Bearer scheme

Path parameters

employer_idstringRequiredformat: "er_.+"

Query parameters

statusstringOptional

Multiple values can be provided by separating them with a comma. Allowed values are: pending_quote, action_required, not_undertaken, accepted, pending_insurer_acceptance.

pageintegerOptional
The page of results to return. Defaults to 1 if not provided.
page_sizeintegerOptional
The number of results to return per page. Defaults to 10 if not provided. Maximum value is 100.

Response

OK
itemslist of objects
A paginated array containing the response elements
pageinteger
The current page of the results
page_sizeinteger
The number of results on this page. This can be different from the requested page size if the total number of results is less than the requested page size
total_countinteger
The total number of elements available in the response. This is the total number of elements available across all pages, not just the current page.
has_next_pagebooleanRead-only
Whether there are more pages available after this page
has_previous_pagebooleanRead-only
Whether there are more pages available before this page